#ifndef DEEVICE_ID_CHANGE_H__
#define DEEVICE_ID_CHANGE_H__


#define DEVICE_NAME_DIR "/home/orangepi/car/master/deviceback"
#define DEVICE_NAME_FILE "/home/orangepi/car/master/Deviceld.txt"
int device_changename_back(const char *device_date, const char *device_id);//设备号备份和写入新设备号
int file_exists(const char *path);//文件已经存在
//int create_directory_if_not_exists(const char *path);//创建目录
char *read_device_back_fail();//读取失败，读取备份内容
#endif